# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'muchkeys/version'

Gem::Specification.new do |spec|
  spec.name          = "muchkeys"
  spec.version       = Muchkeys::VERSION
  spec.authors       = ["Pat O'Brien", "Chris Dillon"]
  spec.email         = ["pobrien@goldstar.com", "cdillon@goldstar.com"]

  spec.summary       = %q{Muchkeys fetches keys from the ENV and then falls back to consul}
  spec.description   = %q{Muchkeys can handle app configuration and appsecrets}
  spec.homepage      = "https://www.goldstar.com"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_runtime_dependency "thor"
  spec.add_runtime_dependency "activesupport", "< 5.1"

  spec.add_development_dependency "bundler", "~> 1.10"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.3"
  spec.add_development_dependency "aruba", "~> 0.14.2"
end
